/***************************************************************************
 *cr                                                                       
 *cr            (C) Copyright 1995 The Board of Trustees of the           
 *cr                        University of Illinois                       
 *cr                         All Rights Reserved                        
 *cr                                                                   
 ***************************************************************************/

/***************************************************************************
 * RCS INFORMATION:
 *
 *	$RCSfile: Tree.h,v $
 *	$Author: billh $	$Locker:  $		$State: Exp $
 *	$Revision: 1.3 $	$Date: 1995/05/11 23:57:15 $
 *
 ***************************************************************************
 * DESCRIPTION:
 * Template for a binary tree -- really easy!
 *
 ***************************************************************************/
#ifndef TREE_H
#define TREE_H

#include <stddef.h>

template <class T>
class Tree {

public:
  T *data;
  Tree *left, *right;
  
  Tree(void) {  // start with nothing
    data = new T;
    left = NULL;
    right = NULL;
  }
  
  ~Tree(void) {  // clean everything up
    delete left;
    delete right;
    delete data;
  }
};

#endif

/* REVISION HISTORY:********************************************************
 *
 * $Log: Tree.h,v $
 * Revision 1.3  1995/05/11  23:57:15  billh
 * Moved log messages to end of file.
 *
 * Revision 1.2  95/03/24  18:52:16  billh
 * Added copyright notice to top of file; made sure all virtual routines
 * are defined in the .C file, not in the .h file.
 * 
 * Revision 1.1  1994/11/12  10:23:51  dalke
 * Initial revision
 *
 ***************************************************************************/

